.section {
    display: flex;
    max-width: 1280px;
    flex-wrap: wrap;
}

.item {
    width: calc(100% / 8);
    border: 2px solid black;
    height: 100px;
    box-sizing: border-box;
}

.item:nth-child(-n + 8):nth-child(even) {
    background: gray;
}

/*item:nth-child(- n + 16) {*/
/*    background: gray;*/
/*}*/